main()
{
	float vec1[6];
	float vec2[6];
	int num;

	scanf ("%d", &num);
	scanVf (vec1, 6);

	while (scanf ("%d", &num) == 1)
	 { scanVf (vec2, 6);
	   subtractVf (vec1, vec2, vec1, 6);
	   printf ("%3d", num);
	   printVf ("%10.4f\n", vec1, 6);
	   copyVf (vec1, vec2, 6);
	 }
}
